DCMTK - Bug #33

dcmcjpeg entfernt beim Bearbeiten eines DICOMDIRs die SOP Class UID aus dem Metaheader!
2008-12-01 00:00 - J6rg Riesmeier
Description

siehe E-Mail von Mathieu Malaterre vom 2008-11-28

Zum einen entfernen alle Encoder momentan die SOP Class UID aus dem Meta-Header (vermutlich auch die SOP Instance UID)
und verlassen sich darauf, dass DcmFileFormat::save() den aus dem Datensatz wieder korrekt Gbernimmt. Nun gibt es
DICOM-Objekte (z.B. DICOMDIR), die im Datensatz keine SOP Class UID und SOP Instance UID enthalten. Hier darf das

nicht passieren. Besser wére eine Routine, die den Eintrag im Metaheader nur dann aktualisiert, wenn im Datensatz

ein Wert vorliegt. Das passiert vermutlich direkt in der Kompressions-Anwendung dcmcjpeg, decmcrle usw.

Dieser Code muss korrigiert werden.

Zum anderen kann DCMTK DICOMDIRs in anderen Transfersyntaxen als Explicit VR Little Endian nicht korrekt schreiben,
weil die Byte-Offset-Berechnungen vermutlich nur fir den Fall funktionieren. Daher sollten alle Kompressionstools

prifen, ob im Meta-Header DicomDirectoryRecord als SOP Class UID eingetragen ist, und in dem Fall die Kompression
mit einer Fehlermeldung verweigern.

=== Kommentar JR ===

Die Kompressionstools im DCMTK prifen jetzt (2009-08-21) auf die entsprechende SOP Class ab. "dcmconv" macht das aber
bislang nicht!

Das Léschen der UIDs in Meta-Header wurde durch die Einfihrung eines "FileWriteMode" auch geandert ...

History

#1 - 2014-09-22 16:56 - Michael Onken
- Description updated

- Private changed from No to Yes

#2 - 2015-01-15 13:44 - Michael Onken

- Private changed from Yes to No
